> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/web/annotation/annotation-numbering.md).

# Annotation Numbering

Automatically number annotations in WebViewer for easier tracking. Enable annotation numbering to assign a unique number to each annotation, simplifying organization and management. Learn how to utili

WebViewer has an option to automatically number annotations as you create them. When enabled, whenever you create an annotation or import one, it will receive the next available number, starting at 1. This associated number will be displayed for each annotation in the notes panel, allowing for easier tracking when working with a large amount of them.

![](https://3532544125-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FX9YnTSKIHvV7m0A36LbO%2Fuploads%2Fgit-blob-09df4067449f2aac665c3ea73e704498687b7a95%2F9f9c06a65fb66cdd4db800bcafe6e3c877364f29-1180x793.png?alt=media)

You can enable this functionality by setting the webviewer option [enableAnnotationNumbering](https://sdk.apryse.com/api/web/global.html#WebViewer__anchor)

{% tabs %}
{% tab title="JavaScript" %}
{% code lineNumbers="true" %}

```js
WebViewer({
    path: 'lib',
    initialDoc: 'https://pdftron.s3.amazonaws.com/downloads/pl/demo-annotated.pdf',
    enableAnnotationNumbering: true,
}, viewerElement).then((instance) => {
    // call apis here
})
```

{% endcode %}
{% endtab %}
{% endtabs %}

## Relevant APIs

WebViewer provides some APIs for customizing the default behaviors.

### enableAnnotationNumbering

The annotation numbering functionality can be enabled, after intilization, by using [enableAnnotationNumbering](https://sdk.apryse.com/api/web/Core.AnnotationManager.html#enableAnnotationNumbering__anchor).

{% tabs %}
{% tab title="JavaScript" %}
{% code lineNumbers="true" %}

```js
WebViewer(...)
  .then(function(instance) {
    instance.Core.annotationManager.enableAnnotationNumbering();
  });
```

{% endcode %}
{% endtab %}
{% endtabs %}

### disableAnnotationNumbering

The annotation numbering functionality can be disabled by using [disableAnnotationNumbering](https://sdk.apryse.com/api/web/Core.AnnotationManager.html#disableAnnotationNumbering__anchor).

{% tabs %}
{% tab title="JavaScript" %}
{% code lineNumbers="true" %}

```js
WebViewer(...)
  .then(function(instance) {
    instance.Core.annotationManager.disableAnnotationNumbering();
  });
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/web/annotation/annotation-numbering.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
